containerd (1.7.24~ds1-4ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/tests/control: remove integration and cri-integration autopkgtest
      Since they depend on the containerd binary package which is not provided by
      this source package by default.
    - d/control: add non default pkg.containerd.with-bin Build-Profiles
      to disable building containerd binary package by default.
      And change Architecture to amd64 to avoid Launchpad reporting build
      failures on other architecture.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 22 Dec 2024 18:50:24 +0100

containerd (1.7.24~ds1-4) unstable; urgency=medium

  * Revert "Integration tests not stable enough for armel, s390",
    but mark that autopkgtest as flaky for further observation

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 21 Dec 2024 11:53:55 -0500

containerd (1.7.24~ds1-3) unstable; urgency=medium

  * Also include pkg/nri, and add missing dependencies

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 20 Dec 2024 17:17:13 -0500

containerd (1.7.24~ds1-2) unstable; urgency=medium

  * install pkg/cri, req. for nerdctl
  * autopkgtest: disable Integration tests for armel, s390, not stable enough

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 20 Dec 2024 06:08:19 -0500

containerd (1.7.24~ds1-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/tests/control: remove integration and cri-integration autopkgtest
      Since they depend on the containerd binary package which is not provided by
      this source package by default.
    - d/control: add non default pkg.containerd.with-bin Build-Profiles
      to disable building containerd binary package by default.
      And change Architecture to amd64 to avoid Launchpad reporting build
      failures on other architecture.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Dec 2024 16:12:03 +0100

containerd (1.7.24~ds1-1) unstable; urgency=medium

  [ Reinhard Tartler ]
  * New upstream release: 1.7.24
  * Install NOTICE file for license compliance
  * normalize patches with gbp-pq
  * Add some commentary to the integration tests
  * debian/watch: reset repacksuffix to ds1
  * debian/gbp.conf: add upstream-vcs-branch
  * drop patches applied upstream
  * Fixup patch to adjust paths where Debian installs CNI binaries
  * remove 'flaky' marker from autopkgtests

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 13 Dec 2024 11:36:25 -0500

containerd (1.7.23~ds2-1ubuntu1) plucky; urgency=medium

  * Merged from Debian unstable (LP: #2089893). Remaining changes:
    - d/golang-github-containerd-containerd-dev.docs: install NOTICE file to
      be compliant with the Apache 2 license.
    - d/tests/control: remove integration and cri-integration autopkgtest
      Since they depend on the containerd binary package which is not provided by
      this source package by default.
    - d/control: add non default pkg.containerd.with-bin Build-Profiles
      to disable building containerd binary package by default.
      And change Architecture to amd64 to avoid Launchpad reporting build
      failures on other architecture.

 -- Anshul Singh <anshul.singh@canonical.com>  Thu, 05 Dec 2024 11:44:01 +0530

containerd (1.7.23~ds2-1) unstable; urgency=medium

  * Vendor in containerd/imgcrypt to avoid circular dependency

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 02 Nov 2024 06:11:58 -0400

containerd (1.7.23~ds1-3) unstable; urgency=medium

  * Revert tightening on golang-github-prometheus-client-golang-dev

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 01 Nov 2024 06:55:21 -0400

containerd (1.7.23~ds1-2ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/golang-github-containerd-containerd-dev.docs: install NOTICE file to
      be compliant with the Apache 2 license.
    - d/tests/control: remove integration and cri-integration autopkgtest
      Since they depend on the containerd binary package which is not provided by
      this source package by default.
    - d/control: add non default pkg.containerd.with-bin Build-Profiles
      to disable building containerd binary package by default.
      And change Architecture to amd64 to avoid Launchpad reporting build
      failures on other architecture.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 03 Nov 2024 23:24:22 +0100

containerd (1.7.23~ds1-2) unstable; urgency=medium

  * Tighten dependency on prometheus (>= 2.45.6+ds-6)
  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 31 Oct 2024 06:33:17 -0400

containerd (1.7.23~ds1-1) experimental; urgency=medium

  * New upstream version: 1.7.23
  * Bump dependency on containerd/errdefs (>= 0.3.0)
  * Build against opentelemetry libraries in experimental
  * containerd.service: add systemd dependency on dbus, Closes: #1083290

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 28 Oct 2024 19:01:13 -0400

containerd (1.7.22~ds1-1) unstable; urgency=medium

  * New upstream version: 1.7.22

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 28 Sep 2024 11:39:55 -0400

containerd (1.7.21~ds2-1) experimental; urgency=medium

  * New upstrem version: 1.7.21
  * refresh patches
  * Tighten dependency on golang-github-moby-sys
  * Drop unneeded grpc patch

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 04 Sep 2024 09:53:53 -0400

containerd (1.7.20~ds2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 02 Sep 2024 07:37:02 -0400

containerd (1.7.20~ds2-1) experimental; urgency=medium

  [ Shengjing Zhu ]
  * New upstream version: 1.7.20
  * Update Files-Excluded/Included in copyright
  * Update Build-Depends

  [ Reinhard Tartler ]
  * Repack upstream tarball
  * Unvendor all k8s libraries. This avoids a conflict with types from the
    golang-github-kubernetes-cri-api-dev package.

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 01 Sep 2024 09:15:29 -0400

containerd (1.7.18~ds2-1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/golang-github-containerd-containerd-dev.docs: install NOTICE file to
      be compliant with the Apache 2 license.
    - d/tests/control: remove integration and cri-integration autopkgtest
      Since they depend on the containerd binary package which is not provided by
      this source package by default.
  * Dropped changes (replaced by non default Build-Profiles):
    - d/control: remove the binary paragraph for containerd.
    - d/containerd.*: remove all packaging related files associated to the
      containerd binary package.
    - d/rules: remove execute_after_dh_auto_build target, it is changing
      content in the containerd binary package. Also avoid installing binaries
      in the library package.
    - d/golang-github-containerd-containerd-dev.install: remove this file, it
      is causing a FTBFS, no need to have it in place, the library files are
      already installed correctly without it.
  * New changes:
    - d/control: add non default pkg.containerd.with-bin Build-Profiles
      to disable building containerd binary package by default.
      And change Architecture to amd64 to avoid Launchpad reporting build
      failures on other architecture.

 -- Shengjing Zhu <shengjing.zhu@canonical.com>  Fri, 09 Aug 2024 07:31:26 +0000

containerd (1.7.18~ds2-1) unstable; urgency=medium

  * Repack the source with only circular dependency and k8s library in vendor
  * Add patch to fix build with Go1.23

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 08 Aug 2024 18:27:06 +0800

containerd (1.7.18~ds1-6) unstable; urgency=medium

  * debian/tests/build-only: Clarify and build in separate directory
  * containerd/zfs: Adjust import path for debian
  * add missing dependencies to the -dev package
  * Ensure most pkg/cri don't end up in the binary package
  * Add Breaks:
    - golang-github-containerd-imgcrypt-dev (<< 1.1.11-4)
    - golang-github-docker-docker-dev (<< 26.1)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 04 Aug 2024 11:09:55 -0400

containerd (1.7.18~ds1-5) unstable; urgency=medium

  * install aufs, zfs as if it came from this package to work around cyclic dependencies
    (Closes: #1077319)
  * remove the 'build-only' autopkgtest

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 03 Aug 2024 10:22:27 -0400

containerd (1.7.18~ds1-4) unstable; urgency=medium

  * Team upload
  * Upload changes from experimental to unstable

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 26 Jul 2024 02:50:31 +0000

containerd (1.7.18~ds1-3) experimental; urgency=medium

  * Depend on golang-opentelemetry-contrib-dev to fix FTBFS in dependent
    packages

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 09 Jul 2024 19:19:57 -0400

containerd (1.7.18~ds1-2) experimental; urgency=medium

  * Add forgotten bug closure in previous upload
  * 0011-allow-test-run-in-userns.patch: expand to another unit test

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 30 Jun 2024 20:00:55 -0400

containerd (1.7.18~ds1-1) experimental; urgency=medium

  * New upstream release, Closes: #1073550
    - Update / tighten dependencies, drop previously vendored libraries:
      - containerd/errdefs
      - containerd/imgcrypt
      - containerd/log
      - containerd/nri
      - k8s.io/cri-api
  * Avoid building contrib/fuzzer
  * Allow building against go-runc 1.1.0

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 30 Jun 2024 15:25:00 -0400

containerd (1.6.24~ds1-3) experimental; urgency=medium

  * Build against ttrpc in experimental

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 11 Jun 2024 08:25:41 -0400

containerd (1.6.24~ds1-2) unstable; urgency=medium

  * Refresh patches
  * Fix FTBFS when running test if running with unshare, Closes: #1070411
  * Remove leftover manpages in clean, Closes: #1044768
  * Rebuild to move systemd units into /usr, Closes: #1072079
  * Add myself as uploader.

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 11 Jun 2024 06:08:53 -0400

containerd (1.6.24~ds1-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2040374). Remaining changes:
    - d/control: remove the binary paragraph for containerd.
    - d/containerd.*: remove all packaging related files associated to the
      containerd binary package.
    - d/tests/{cri-integration,integration}: remove since they depend on the
      containerd binary package which is not provided by this source package
      anymore.
    - d/rules: remove execute_after_dh_auto_build target, it is changing
      content in the containerd binary package. Also avoid installing binaries
      in the library package.
    - d/golang-github-containerd-containerd-dev.install: remove this file, it
      is causing a FTBFS, no need to have it in place, the library files are
      already installed correctly without it.
    - d/golang-github-containerd-containerd-dev.docs: install NOTICE file to
      be compliant with the Apache 2 license.
  * Dropped:
    - d/p/0009-Skip-test-trying-to-set-OOM-score.patch: fix FTBFS.
      [Not needed anymore]

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 12 Jan 2024 19:00:15 -0300

containerd (1.6.24~ds1-1) unstable; urgency=medium

  * New upstream version 1.6.24~ds1

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 06 Nov 2023 18:25:11 +0800

containerd (1.6.20~ds1-2) unstable; urgency=medium

  * Backport patch for Go1.21
  * Skip test adjusting oom score when initial is negative
  * Add pkg.containerd.onlydev build profile.
    To reduce delta with Ubuntu

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 23 Aug 2023 13:48:17 +0800

containerd (1.6.20~ds1-1ubuntu2) mantic; urgency=medium

  * d/p/0009-Skip-test-trying-to-set-OOM-score.patch: fix FTBFS.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 21 Jun 2023 23:07:52 -0300

containerd (1.6.20~ds1-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable (LP: #2022390). Make src:containerd
    follow Debian and src:containerd-app is going to ship the application with
    vendorized dependencies so we can keep updating just the application across
    all supported releases.
  * Added changes:
    - d/control: remove the binary paragraph for containerd.
    - d/containerd.*: remove all packaging related files associated to the
      containerd binary package.
    - d/tests/{cri-integration,integration}: remove since they depend on the
      containerd binary package which is not provided by this source package
      anymore.
    - d/rules: remove execute_after_dh_auto_build target, it is changing
      content in the containerd binary package. Also avoid installing binaries
      in the library package.
    - d/golang-github-containerd-containerd-dev.install: remove this file, it
      is causing a FTBFS, no need to have it in place, the library files are
      already installed correctly without it.
    - d/golang-github-containerd-containerd-dev.docs: install NOTICE file to
      be compliant with the Apache 2 license.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 21 Jun 2023 11:53:33 -0300

containerd (1.6.20~ds1-1) unstable; urgency=medium

  * New upstream version 1.6.20~ds1
  * Bump golang-github-containerd-ttrpc-dev to 1.1.1
  * Bump golang-github-opencontainers-image-spec-dev to 1.1.0~rc2-2

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 01 Apr 2023 01:27:11 +0800

containerd (1.6.18~ds1-1) unstable; urgency=medium

  * New upstream version 1.6.18~ds1
    + CVE-2023-25153: OCI image importer memory exhaustion
    + CVE-2023-25173: Supplementary groups are not set up properly
  * Install cni-bridge-fp to /usr/lib/cni in autopkgtest

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 16 Feb 2023 07:16:20 +0800

containerd (1.6.17~ds1-1) unstable; urgency=medium

  * New upstream version 1.6.17~ds1
  * Add missing failpoint binaries in cri-integration autopkgtest

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 11 Feb 2023 02:01:05 +0800

containerd (1.6.16~ds1-1) unstable; urgency=medium

  * New upstream version 1.6.16~ds1
  * Only track 1.6 LTS version in uscan watch file
  * Drop "Skip failed TestUpdateOCILinuxResource" patch, fixed by
    https://github.com/containerd/containerd/commit/91a68edd

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 29 Jan 2023 03:07:20 +0800

containerd (1.6.14~ds1-1) unstable; urgency=medium

  * New upstream version 1.6.14~ds1
  * Update Standards-Version to 4.6.2 (no changes)
  * Skip failed TestUpdateOCILinuxResource since schroot doesn't have cgroup

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 20 Dec 2022 10:30:50 +0800

containerd (1.6.13~ds1-1) unstable; urgency=medium

  [ Benjamin Drung ]
  * Bump golang-google-grpc-dev to >= 1.30.
  * Let the dev package depend on golang-github-gotestyourself-gotest.tools-dev
    `pkg/testutil/helpers_unix.go` uses `gotest.tools/v3/assert` and
    therefore golang-github-containerd-containerd-dev needs to depend on
    golang-github-gotestyourself-gotest.tools-dev.

  [ Shengjing Zhu ]
  * New upstream version 1.6.13~ds1

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 16 Dec 2022 02:42:08 +0800

containerd (1.6.12~ds1-1) unstable; urgency=medium

  * New upstream version 1.6.12~ds1
    + CVE-2022-23471: CRI plugin: Fix goroutine leak during Exec

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 08 Dec 2022 10:02:21 +0800

containerd (1.6.11~ds1-1) unstable; urgency=medium

  * New upstream version 1.6.11~ds1

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 07 Dec 2022 10:24:32 +0800

containerd (1.6.9~ds1-1) unstable; urgency=medium

  * New upstream version 1.6.9~ds1
  * Unvendor klog and go-logr
  * Add golang-k8s-klog-dev to Build-Depends

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 25 Oct 2022 02:52:23 +0800

containerd (1.6.8~ds1-1) unstable; urgency=medium

  * New upstream version 1.6.8~ds1 (Closes: #1017917)
  * Remove compatibility patch for
    golang-github-containerd-stargz-snapshotter 0.8.0

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 23 Aug 2022 00:33:54 +0800

containerd (1.6.6~ds1-1) unstable; urgency=medium

  * New upstream version 1.6.6~ds1
    CVE-2022-31030: CRI plugin: Host memory exhaustion through ExecSync
  * Update Standards-Version to 4.6.1 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 07 Jun 2022 02:13:49 +0800

containerd (1.6.2~ds1-1) unstable; urgency=medium

  * New upstream version 1.6.2~ds1
    CVE-2022-24769: Default inheritable capabilities for linux container
    should be empty

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 24 Mar 2022 15:47:18 +0800

containerd (1.6.1~ds1-1) unstable; urgency=medium

  * New upstream version 1.6.1~ds1
    CVE-2022-23648: CRI plugin: insecure handling of image volumes
  * Add patch for Debian specific CNI binaries path
  * Run integration without existing daemon

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 03 Mar 2022 03:17:38 +0800

containerd (1.6.0~ds1-5) unstable; urgency=medium

  * Enable cri integration test
  * Add back deprecated types in images/converter.
    Needed by golang-github-containerd-stargz-snapshotter 0.8.0

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 28 Feb 2022 01:10:49 +0800

containerd (1.6.0~ds1-4) unstable; urgency=medium

  * Add missing dependency for autopkgtest
  * Revert "Exclude all cmd pkgs in dev package"
    cmd/ctr/commands are used by golang-github-containerd-stargz-snapshotter

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 27 Feb 2022 19:42:57 +0800

containerd (1.6.0~ds1-3) unstable; urgency=medium

  * Skip failed TestNormalize test
    https://github.com/containerd/containerd/issues/6573

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 27 Feb 2022 03:28:07 +0800

containerd (1.6.0~ds1-2) unstable; urgency=medium

  * Upload to unstable
  * Add patch to ignore missing hugetlb error in tests
  * Exclude all cmd pkgs in dev package
  * Add golang-github-intel-goresctrl-dev to Depends
  * Add patch to fix building with gccgo

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 27 Feb 2022 01:18:47 +0800

containerd (1.6.0~ds1-1) experimental; urgency=medium

  * New upstream version 1.6.0~ds1

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 21 Feb 2022 02:23:42 +0800

containerd (1.5.9~ds1-1) unstable; urgency=medium

  * New upstream version 1.5.9~ds1
    + CVE-2021-43816:
      Fix unprivileged pod using 'hostPath' bypassing SELinux labels

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 06 Jan 2022 01:50:43 +0800

containerd (1.5.8~ds1-3) unstable; urgency=medium

  * Limit integration test on amd64, arm64, armel, armhf, ppc64el, s390x.
    The image used in integration test is k8s.gcr.io/pause:3.5, which only
    supports these architectures.
  * Add golang-golang-x-time-dev to Build-Depends (Closes: #1002246)

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 22 Dec 2021 01:18:49 +0800

containerd (1.5.8~ds1-2) unstable; urgency=medium

  * Bump golang-github-opencontainers-image-spec-dev to 1.0.2

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 20 Nov 2021 17:26:36 +0800

containerd (1.5.8~ds1-1) unstable; urgency=medium

  * New upstream version 1.5.8~ds1
    + Mitigate CVE-2021-41190

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 20 Nov 2021 02:38:26 +0800

containerd (1.5.7~ds1-2) unstable; urgency=medium

  * Add pkg/cri/annotations to -dev package.

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 09 Nov 2021 00:14:57 +0800

containerd (1.5.7~ds1-1) unstable; urgency=medium

  * New upstream version 1.5.7~ds1
    + CVE-2021-41103: Insufficiently restricted permissions on container
      root and plugin directories
  * Update Standards-Version to 4.6.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 05 Oct 2021 18:25:35 +0800

containerd (1.5.5~ds1-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream version 1.5.5~ds1

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 23 Aug 2021 23:48:51 +0800

containerd (1.5.4~ds1-1) experimental; urgency=medium

  * New upstream version 1.5.4~ds1
    Fix CVE-2021-32760.

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 20 Jul 2021 02:45:17 +0800

containerd (1.5.3~ds1-1) experimental; urgency=medium

  * New upstream version 1.5.3~ds1

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 14 Jul 2021 23:34:39 +0800

containerd (1.5.2~ds1-1) experimental; urgency=medium

  * New upstream version 1.5.2~ds1

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 17 Jun 2021 00:28:02 +0800

containerd (1.5.0~rc1~ds1-1) experimental; urgency=medium

  * New upstream version 1.5.0~rc1~ds1

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 14 Apr 2021 00:20:38 +0800

containerd (1.5.0~rc0~ds1-1) experimental; urgency=medium

  * New upstream version 1.5.0~rc0~ds1

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 10 Apr 2021 00:17:58 +0800

containerd (1.5.0~beta4~ds1-1) experimental; urgency=medium

  * New upstream version 1.5.0~beta4~ds1

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 17 Mar 2021 02:57:58 +0800

containerd (1.5.0~beta3~ds1-1) experimental; urgency=medium

  * New upstream version 1.5.0~beta3~ds1

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 05 Mar 2021 19:27:36 +0800

containerd (1.5.0~beta2~ds1-1) experimental; urgency=medium

  * New upstream version 1.5.0~beta2~ds1
  * Drop github.com/syndtr/gocapability from Depends

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 27 Feb 2021 01:31:44 +0800

containerd (1.5.0~beta1~ds1-2) experimental; urgency=medium

  * Run integration test in autopkgtest

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 06 Feb 2021 19:48:47 +0800

containerd (1.5.0~beta1~ds1-1) experimental; urgency=medium

  * New upstream version 1.5.0~beta1~ds1

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 06 Feb 2021 17:37:26 +0800

containerd (1.5.0~beta0~ds1-1) experimental; urgency=medium

  * New upstream version 1.5.0~beta0~ds1

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 23 Jan 2021 20:42:28 +0800

containerd (1.4.3~ds1-1) unstable; urgency=medium

  * New upstream version 1.4.3~ds1
    Fix CVE-2020-15257

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 01 Dec 2020 10:13:21 +0800

containerd (1.4.2~ds1-3) experimental; urgency=medium

  * Enable CRI when build with gccgo

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 29 Nov 2020 17:04:46 +0800

containerd (1.4.2~ds1-2) experimental; urgency=medium

  * Backport github.com/containerd/containerd/remotes package.
    Update to f601887a3cafeef462d72add63693d9941889bd7
    For reason in https://bugs.debian.org/974857#36

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 28 Nov 2020 00:19:03 +0800

containerd (1.4.2~ds1-1) unstable; urgency=medium

  * Update uscan watch file version to 4
  * New upstream version 1.4.2~ds1
  * Bump Standards-Version to 4.5.1 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 27 Nov 2020 01:45:34 +0800

containerd (1.4.1~ds1-2) unstable; urgency=medium

  * Add patch to relax structured-merge-diff version (Closes: #975636)

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 24 Nov 2020 23:06:33 +0800

containerd (1.4.1~ds1-1) unstable; urgency=medium

  * New upstream version 1.4.1~ds1

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 16 Sep 2020 15:16:41 +0800

containerd (1.4.0~ds1-1) unstable; urgency=medium

  * New upstream version 1.4.0~ds1

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 20 Aug 2020 01:27:53 +0800

containerd (1.4.0~beta2~ds1-1) experimental; urgency=medium

  [ Shengjing Zhu ]

  [ Arnaud Rebillout ]
  * Depend on gotest.tools >= 3.0.0, and remove related patch

  [ Shengjing Zhu ]
  * New upstream version 1.4.0~beta2~ds1
  * Unvendor golang-k8s-sigs-structured-merge-diff-dev
  * Unvendor golang-github-containers-ocicrypt-dev
  * Add golang-github-google-gofuzz-dev to Build-Depends
  * Add golang-github-fsnotify-fsnotify-dev to Build-Depends
  * Update Files-Excluded for 1.4.0-beta.2

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 14 Jul 2020 01:51:43 +0800

containerd (1.4.0~beta1~ds1-1) experimental; urgency=medium

  * New upstream version 1.4.0~beta1~ds1
  * Revert "Add socat to Suggests, it's used by containerd CRI plugin"
    CRI 1.4 doesn't need socat
  * Fix `go env` command without writable HOME.
    The command failed with:
    failed to initialize build cache at /sbuild-nonexistent/.cache/go-build:
    mkdir /sbuild-nonexistent: permission denied

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 29 May 2020 14:00:27 +0800

containerd (1.4.0~beta0~ds1-1) experimental; urgency=medium

  * Add socat to Suggests, it's used by containerd CRI plugin
  * Update Files-Excluded in d/copyright for 1.4 release
  * New upstream version 1.4.0~beta0~ds1
  * Update Depends for 1.4 release
    + Vendor golang-github-containerd-cgroups-dev
    + Add golang-github-coreos-go-systemd-dev,
    + Bump golang-github-gogo-googleapis-dev to 1.4.0
    + Bump golang-github-gogo-protobuf-dev to 1.3.0
    + Bump golang-github-opencontainers-go-digest-dev to 1.0.0
  * Refresh patches for 1.4 release
    - mipsel.patch
    - pr-3706.patch
    - pr-3935.patch
    - pr-3963.patch
    + 0001-disable-windows-support-in-ctr-metric.patch
    + 0002-Add-go.mod-file.patch
    + 0003-disable-runhcs-option-in-cri-config.patch
    + 0004-reduce-ocicrypt-dependency.patch
    + 0005-use-gotest.tools-v2.patch

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 19 May 2020 18:05:54 +0800

containerd (1.3.4~ds1-1) unstable; urgency=medium

  * New upstream version 1.3.4~ds1
  * Disable btrfs plugin on riscv64.
    As this plugin needs cgo and riscv64 doesn't support

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 24 Apr 2020 22:52:10 +0800

containerd (1.3.3.59~ds1-1) experimental; urgency=medium

  * New upstream snapshot.
    This is latest version from branch release/1.3, which
    will become 1.3.4 soon.
  * Move cli manpages to section 8

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 14 Apr 2020 00:51:37 +0800

containerd (1.3.3~ds1-2) unstable; urgency=medium

  * Enable building btrfs plugin on mipsel.
    Issue in golang-github-containerd-btrfs-dev is fixed in 0.0~git20200117.1539353-1
  * Add bash/zsh completion script for ctr
  * Set CGO_CFLAGS and CGO_CPPFLAGS with dpkg-buildflags.
    This should fix reproducible-build, by adding one more
    -fdebug-prefix-map for source files

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 13 Feb 2020 22:37:29 +0800

containerd (1.3.3~ds1-1) unstable; urgency=medium

  * New upstream version 1.3.3~ds1
  * Backport upstream patch to fix flaky tests
  * Backport upstream patch to fix building with gccgo
  * Don't build CRI when using gccgo
  * Populate package version and revision when building
  * Unvendor sigs.k8s.io/yaml
  * Remove patches applied in new release
  * Update Standards-Version to 4.5.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 07 Feb 2020 17:02:22 +0800

containerd (1.3.2~ds1-3) unstable; urgency=medium

  * Update armel/armhf patch to fix failing test
  * Remove unused Depends from -dev package.
    Since the containerd/cri is removed from -dev package

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 08 Jan 2020 16:20:14 +0800

containerd (1.3.2~ds1-2) unstable; urgency=medium

  * Upload to unstable
  * Add containernetworking-plugins to Suggests
    containerd-cri may use cni plugins from containernetworking-plugins
  * Add default config.toml
  * Fix build on mipsel
    + Add patch to cast uint32 Rdev
    + Exclude btrfs plugin on mipsel
  * Backport upstream patch to fix i386 build
  * Exclude container-cri in -dev packages
  * Add autopkgtest-pkg-go
  * Backport upstream patch to fix armhf/armel test

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 08 Jan 2020 01:43:35 +0800

containerd (1.3.2~ds1-1) experimental; urgency=medium

  * New upstream version 1.3.2~ds1
  * Update Excluded-Files and Build-Depends for 1.3.2 release
  * Much stricter on package version in Build-Depends
  * Update debhelper compat to 12 with new syntax
  * Update Standards-Version to 4.4.1 (no changes)
  * Update build rules for 1.3.2 release
  * Only install docs and manpage to containerd package
  * Remove unused vendor files
  * Fix build manpage in rules, need to run in Go env
  * Update package description to clarify the difference between docker.io
  * Add containerd systemd service
  * Backport upstream patch to fix test with go1.13
  * Add Rules-Requires-Root
  * Update copyright for 1.3.2 release

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 04 Jan 2020 18:11:52 +0800

containerd (1.2.4~ds1-1) experimental; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Shengjing Zhu ]
  * New upstream version 1.2.4~ds1
  * Update Build-Depends for new version
  * Update debhelper and campat to 11
  * Update copyright file for new version
  * Remove patches no longer used
  * Update debian/rules for new version
  * Vendor dependencies
    + github.com/containerd/continuity: 49 files
    + github.com/containerd/go-runc: 10 files
    + github.com/containerd/ttrpc: 9 files
    + github.com/docker/distribution: 5 files
  * Install all files to -dev package
  * Generate manpages from docs/man directory
  * Update Maintainer address to team+pkg-go@tracker.debian.org
  * Add myself to Uploaders
  * Add a TODO file
  * Update package description with words in upstream README
  * Install Apache NOTICE file
  * Remove unneeded tag in lintian overrides

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 17 Feb 2019 04:12:40 +0800

containerd (0.2.3+git20170126.85.aa8187d~ds1-2) unstable; urgency=medium

  * Replace golang-go with golang-any in Build-Depends

 -- Konstantinos Margaritis <markos@debian.org>  Tue, 08 Aug 2017 11:51:26 +0300

containerd (0.2.3+git20170126.85.aa8187d~ds1-1) unstable; urgency=medium

  [ Jordi Mallach ]
  * Actually use DEB_HOST_GNU_TYPE to determine the arch triplet.

  [ Tim Potter ]
  * New upstream snapshot for Docker 1.13.1.

 -- Tim Potter <tpot@hpe.com>  Wed, 24 May 2017 11:38:46 +1000

containerd (0.2.3~git20161117.78.03e5862~ds1-2) unstable; urgency=medium

  * Add Breaks line to binary package to avoid messing up previous
    Docker installs.
  * Use DEB_BUILD_GNU_TYPE in debian/rules instead of hardcoding for
    amd64. (Closes: #858266)
  * Suppress binary-without-manpage and spelling-error-in-binary
    Lintian messages.

 -- Tim Potter <tpot@hpe.com>  Tue, 21 Mar 2017 09:01:49 +1100

containerd (0.2.3~git20161117.78.03e5862~ds1-1) unstable; urgency=medium

  * New upstream version.
  * Regenerate proto files on each rebuild.

 -- Tim Potter <tpot@hpe.com>  Fri, 27 Jan 2017 12:30:54 +1100

containerd (0.2.1~ds1-3) unstable; urgency=medium

  [ Team upload ]
  * Rebuild proto files against newer version of grpc (Closes: #835736)

 -- Tim Potter <tpot@hpe.com>  Fri, 09 Sep 2016 10:11:54 +1000

containerd (0.2.1~ds1-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 3.9.8.
  * Trim -dev package to avoid circular dependency with Docker.
  * dev/Depends:
    - golang-github-codegangsta-cli-dev
    - golang-github-cyberdelia-go-metrics-graphite-dev
    - golang-github-docker-docker-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 13 Jun 2016 11:15:48 +1000

containerd (0.2.1~ds1-1) unstable; urgency=medium

  * Team upload.

  [ Tianon Gravi ]
  * Update to 0.2.1 upstream release

  [ Tim Potter ]
  * Add "golang-github-docker-containerd-dev" package (Closes: #822213)

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 23 Apr 2016 22:54:15 +1000

containerd (0.1.0~ds1-1) unstable; urgency=medium

  * Initial release (Closes: #819520)

 -- Tianon Gravi <tianon@debian.org>  Sat, 02 Apr 2016 11:05:01 -0700
